> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Get Placement Logs Responses

GET https://restapi.ordergroove.com/placement_logs/responses/



Reference: https://docs.ordergroove.com/reference/rest-rpc-api/placement-logs/get-placement-logs-responses

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /placement_logs/responses/:
    get:
      operationId: get-placement-logs-responses
      summary: Get Placement Logs Responses
      description: ''
      tags:
        - placementLogs
      parameters:
        - name: start_date
          in: query
          description: >-
            Filter by log records created on or after a specific date/time.
            Expected format is `YYYY-MM-DD HH:mm:ss`
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: >-
            Filter by log records created on or before a specific date/time.
            Expected format is `YYYY-MM-DD HH:mm:ss`
          required: false
          schema:
            type: string
            format: date-time
        - name: page_size
          in: query
          description: >-
            Number of results to be retrieved in each page. Default value is 10,
            Maximum allowed is 1000
          required: false
          schema:
            type: integer
            default: '10'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Placement
                  Logs_get_placement-logs-responses_Response_200
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    Placement Logs_get_placement-logs-responses_Response_200:
      type: object
      properties:
        public_id:
          type: string
          default: ''
          description: Unique identifier for this billing attempt
        merchant:
          type: string
          description: Merchant public ID
        order:
          type: string
          description: Order public ID
        customer:
          type: string
          description: Customer ID (merchant user ID)
        response_code:
          type: string
          description: >-
            Normalized status code (e.g. "000" = success, "140" = payment
            failure, "999" = error)
        response_message:
          type: string
          description: Error message extracted from the platform response, if any
        response_order_id:
          type: string
          description: >-
            Order ID returned by the e-commerce platform if the billing attempt
            was successful
        created:
          type: string
          format: date-time
          default: '2026-03-22 12:07:00'
          description: When the billing attempt occurred (YYYY-MM-DD HH:MM:SS) in CST
        response_payload:
          type: string
          description: Order placement response (XML)
        transaction_response:
          type: string
          description: >-
            The raw transaction payload from the payment processor. It is
            currently Shopify only — null for all other platforms.
      title: Placement Logs_get_placement-logs-responses_Response_200
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{
  "public_id": "",
  "merchant": "string",
  "order": "string",
  "customer": "string",
  "response_code": "string",
  "response_message": "string",
  "response_order_id": "string",
  "created": "2026-03-22 12:07:00",
  "response_payload": "string",
  "transaction_response": "string"
}
```

**SDK Code**

```python
import requests

url = "https://restapi.ordergroove.com/placement_logs/responses/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://restapi.ordergroove.com/placement_logs/responses/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/placement_logs/responses/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/placement_logs/responses/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/placement_logs/responses/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/placement_logs/responses/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/placement_logs/responses/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/placement_logs/responses/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```